# Uses of Class
javax.swing.event.UndoableEditEvent

Packages that use UndoableEditEvent
Package
Description
javax.swing.event
Provides for events fired by Swing components.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.
javax.swing.undo
Allows developers to provide support for undo/redo in applications such as text editors.

## Uses of UndoableEditEvent in javax.swing.event

Methods in javax.swing.event with parameters of type UndoableEditEvent
Modifier and Type
Method
Description
`void`
UndoableEditListener.`undoableEditHappened​(UndoableEditEvent e)`
An undoable edit happened

## Uses of UndoableEditEvent in javax.swing.text

Methods in javax.swing.text with parameters of type UndoableEditEvent
Modifier and Type
Method
Description
`protected void`
AbstractDocument.`fireUndoableEditUpdate​(UndoableEditEvent e)`
Notifies all listeners that have registered interest for notification on this event type.

## Uses of UndoableEditEvent in javax.swing.text.html

Methods in javax.swing.text.html with parameters of type UndoableEditEvent
Modifier and Type
Method
Description
`protected void`
HTMLDocument.`fireUndoableEditUpdate​(UndoableEditEvent e)`
Notifies all listeners that have registered interest for notification on this event type.

## Uses of UndoableEditEvent in javax.swing.undo

Methods in javax.swing.undo with parameters of type UndoableEditEvent
Modifier and Type
Method
Description
`void`
UndoManager.`undoableEditHappened​(UndoableEditEvent e)`
An `UndoableEditListener` method.